from enum import IntFlag, Enum


class MapLayerName(Enum):
    STATIC = "static_layer"
    SEMI_STATIC = "semi_static_layer"
    EXCLUSION_ZONE = "exclusion_zone_layer"
    ENVIRONMENT = "environment"
    SOCIO = "socio"
    GRAPH = "graph"
    REFERENCE = "reference"


class MapLayerType(IntFlag):
    STATIC = 0
    SEMI_STATIC = 1
    EXCLUSION_ZONE = 2
    ENVIRONMENT = 3
    SOCIO = 4
    GRAPH = 5
    REFERENCE = 6


class MapLayerTable:
    DICT = {key: LayerName.value for key, LayerName in zip(MapLayerType, MapLayerName)}
    KEY = MapLayerType
    NAME = MapLayerName
